Transacciones

Listar transacciones

Devuelve las transacciones del comercio en el sobre de lista estándar. Acepta los parámetros de lista comunes más filtros de igualdad como rail, status o terminal_id.

GET
/api/transactions

Autorización

bearerAuth
AutorizaciónBearer <token>

JWT de operador (panel): Authorization: Bearer <jwt>.

In: header

Parámetros de consulta

limit?integer

Tamaño de página. Por defecto 50, máximo 200.

offset?integer

Número de filas a saltar.

search?string

Búsqueda de texto libre.

from?string

Fecha inicial, YYYY-MM-DD.

to?string

Fecha final, YYYY-MM-DD.

status?string
type?string
transaction_id?string

Exact Vecnet transaction id.

order_id?string
reference?string

Exact reference/folio (folio is accepted as an alias).

correlation_id?string
payment_intent_id?string
payer_email?string
amount_cents?integer

Exact amount in minor units; cannot be combined with a range.

amount_min_cents?integer
amount_max_cents?integer
metadata?string

JSON object of flat scalar metadata fields that must match exactly. Individual metadata.<dot.separated.path>= parameters are also accepted for nested scalar fields.

metadata_key?string

Safe dot-separated path to a scalar metadata field. Must be paired with metadata_value.

metadata_value?string

Exact text representation of the scalar at metadata_key.

rail?string

Parámetros de encabezado

X-Merchant-Id?string

Los operadores limitan la petición a un comercio. Los usuarios de comercio están anclados al suyo.

Cuerpo de la respuesta

application/json

curl -X GET "https://example.com/api/transactions"
{
  "count": 0,
  "limit": 0,
  "offset": 0,
  "data": [
    {
      "id": "txn_…",
      "type": "payment",
      "correlation_id": "string",
      "payment_intent_id": "string",
      "order_id": "string",
      "payment_link_id": "string",
      "reference": "string",
      "payer_email": "user@example.com",
      "merchant_id": "string",
      "rail": "online_cnp",
      "payment_method": "card",
      "status": "approved",
      "amount_cents": 0,
      "currency": "string",
      "fee_cents": 0,
      "card": {
        "brand": "string",
        "last4": "string"
      },
      "customer_ref": "string",
      "decline_reason": "string",
      "risk_score": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "captured_at": "2019-08-24T14:15:22Z",
      "metadata": {},
      "refund_status": "processing",
      "refund_id": "string",
      "refund_requested_at": "2019-08-24T14:15:22Z",
      "refunded_at": "2019-08-24T14:15:22Z"
    }
  ]
}
¿Te fue útil esta página?